    import {TransactionInstruction} from '@solana/web3'

public class | source

# TransactionInstruction

Transaction Instruction class

## Constructor Summary

Public Constructor
public | constructor(opts: TransactionInstructionCtorFields) |

## Member Summary

Public Members
public | keys: Array<PublicKey> Public keys to include in this transaction |
public | programId: PublicKey Program Id to execute |
public | userdata: Buffer Program input |

## Public Constructors

### public constructor(opts: TransactionInstructionCtorFields) source

#### Params:

Name | Type | Attribute | Description
opts | TransactionInstructionCtorFields |  |

## Public Members

### public keys: Array<PublicKey> source

Public keys to include in this transaction

### public programId: PublicKey source

Program Id to execute

### public userdata: Buffer source

Program input